package com.sd.business.controller.in;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sd.business.entity.in.dto.PurchaseWarehousingDto;
import com.sd.business.entity.in.vo.PurchaseWarehousingVo;
import com.sd.business.service.in.PurchaseWarehousingService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/purchaseWarehousing")
public class PurchaseWarehousingController {

    @Autowired
    private PurchaseWarehousingService purchaseWarehousingService;

    /**
     * 采购入库分页
     */
    @PostMapping("/page")
    public Page<PurchaseWarehousingVo> page(@RequestBody PurchaseWarehousingDto dto) {
        return purchaseWarehousingService.getPage(dto);
    }


    /**
     * 采购入库excel导出
     */
    @PostMapping("/exportExcel")
    public void exportExcel(@RequestBody PurchaseWarehousingDto dto) {
        purchaseWarehousingService.exportExcel(dto);
    }


}
