package com.sd.business.controller.order;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sd.business.entity.order.dto.OrderExchangeDetailSelectDto;
import com.sd.business.entity.order.vo.OrderExchangeDetailVo;
import com.sd.business.service.order.OrderExchangeDetailService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;


/**
 * <p>
 * 订单退换货明细 前端控制器
 * </p>
 *
 * @author
 * @since 2023-09-14
 */
@RestController
@RequestMapping("/orderExchangeDetail")
public class OrderExchangeDetailController {

    @Autowired
    private OrderExchangeDetailService orderExchangeDetailService;

    /**
     * 订单退换货分页
     */
    @PostMapping("/page")
    public Page<OrderExchangeDetailVo> page(@RequestBody OrderExchangeDetailSelectDto dto) {
        return orderExchangeDetailService.getPage(dto);
    }

    /**
     * 订单退换货分页
     */
    @GetMapping("/excelExport")
    public void excelExport(OrderExchangeDetailSelectDto dto) {
        orderExchangeDetailService.excelExport(dto);
    }

}
