package com.sd.business.entity.apply.vo;

import com.sd.business.entity.apply.po.ApplyBuyBom;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * 申购单bom列表查询返回值实体
 *
 * @author
 * @since 2023-06-30
 */
@Getter
@Setter
public class ApplyBuyBomVo extends ApplyBuyBom {

    /**
     * 品号
     */
    private String bomSpecCode;

    /**
     * 品名
     */
    private String bomSpecName;

    /**
     * 颜色
     */
    private String bomSpecColour;

    /**
     * 长 cm
     */
    private BigDecimal bomSpecLength;

    /**
     * 宽 cm
     */
    private BigDecimal bomSpecWidth;

    /**
     * 高 cm
     */
    private BigDecimal bomSpecHeight;
}
