package com.sd.business.entity.board.dto;

import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * 每日看板查询入参实体
 *
 * @author
 * @since 2023-09-23
 */
@Getter
@Setter
public class DailyBoardSelectDto {

    /**
     * 开始时间
     */
    @NotNull(message = "开始时间不能为空")
    private Date beginDate;

    /**
     * 结束时间
     */
    @NotNull(message = "结束时间不能为空")
    private Date endDate;
}
