package com.sd.business.entity.board.vo;

import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.List;

/**
 * MES今日生产订单数据（不含自建订单）查询返回值实体
 *
 * @since 2023-09-22
 */
@Getter
@Setter
public class MesProductionOutStorageVo {
    /**
     * 销售出库订单总数
     */
    private Integer sumOrderCount;
    /**
     * bom销售出库总数
     */
    private BigDecimal sumBomCount;
    /**
     * 出库bom列表
     */
    private List<DailyBoardOutStorageBomVo> outStorageBomList;

    /**
     * 佰卓销售出库订单总数
     */
    private Integer bzSumOrderCount;
    /**
     * 佰卓bom销售出库总数
     */
    private BigDecimal bzSumBomCount;
    /**
     * 佰卓出库bom列表
     */
    private List<DailyBoardOutStorageBomVo> bzOutStorageBomList;

    /**
     * 胜德实业销售出库订单总数
     */
    private Integer sySumOrderCount;
    /**
     * 胜德实业bom销售出库总数
     */
    private BigDecimal sySumBomCount;
    /**
     * 胜德实业出库bom列表
     */
    private List<DailyBoardOutStorageBomVo> syOutStorageBomList;
}
