package com.sd.business.entity.check.dto;

import com.ruoyi.common.core.domain.BaseSelectDto;
import lombok.Getter;
import lombok.Setter;

/**
 * 盘点列表查询入参实体
 *
 * @author
 * @since 2023-07-03
 */
@Getter
@Setter
public class CheckSelectDto extends BaseSelectDto {

    /**
     * 事业部id
     */
    private Long departmentId;

    /**
     * 仓库id
     */
    private Long warehouseId;

    /**
     * 状态 0正常 1异常
     */
    private Integer status;

}
