package com.sd.business.entity.excel.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum ExcelStatusEnum {

    PROCESSING_DATA(1, "数据处理中"),
    GENERATE(2, "excel生成中"),
    UPLOAD(3, "excel上传中"),
    COMPLETE(4, "完成"),

    FAIL(99, "excel生成失败");


    private final Integer status;
    private final String explain;

}
