package com.sd.business.entity.excel.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * <p>
 * excel生成记录
 * </p>
 *
 * @author
 * @since 2023-09-21
 */
@Getter
@Setter
@TableName("excel_generate_log")
public class ExcelGenerateLog extends BasePo {

    /**
     * 业务类型
     */
    private Integer type;

    /**
     * 状态 1数据处理中 2excel生成中 3excel上传obs中 4完成
     */
    private Integer status;

    /**
     * excel文件名称
     */
    private String excelName;

    /**
     * excel文件路径
     */
    private String obsFileUrl;

    /**
     * 完成时间
     */
    private Date completionTime;

}
