package com.sd.business.entity.inventory.po;

import com.alibaba.excel.annotation.ExcelProperty;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * <p>
 * 成品仓库
 * </p>
 *
 * @author
 * @since 2023-10-10
 */
@Getter
@Setter
@TableName("inventory_finished")
public class InventoryFinished extends BasePo {

    /**
     * sku规格id
     */
    private Long skuSpecId;

    /**
     * 数量
     */
    @ExcelProperty(value = "数量", index = 2)
    private BigDecimal quantity;

}
