package com.sd.business.entity.inventory.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.sd.business.entity.inventory.po.InventoryFinished;
import lombok.Getter;
import lombok.Setter;

/**
 * 成品仓库列表查询返回值实体
 *
 * @author
 * @since 2023-10-10
 */
@Getter
@Setter
@ExcelIgnoreUnannotated
public class InventoryFinishedVo extends InventoryFinished {

    /**
     * sku规格品号
     */
    @ExcelProperty(value = "sku品号", index = 0)
    private String skuSpecCode;

    /**
     * sku规格品名
     */
    @ExcelProperty(value = "sku品名", index = 1)
    private String skuSpecName;

}
