package com.sd.business.entity.order.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 订单流程 关联
 * </p>
 *
 * @author
 * @since 2023-09-15
 */
@Getter
@Setter
@TableName("order_flow_example")
public class OrderFlowExample extends BasePo {

    /**
     * 订单id
     */
    private Long orderId;

    /**
     * 流程id
     */
    private Long flowId;

    /**
     * 流程状态 0未发起 1进行中 2已通过 3已驳回 4已作废
     */
    private Integer flowStatus;
}
