package com.sd.business.entity.order.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 订单销售出库统计
 * </p>
 *
 * @author
 * @since 2023-10-20
 */
@Getter
@Setter
@TableName("order_sales_shipment_statistics")
public class OrderSalesShipmentStatistics extends BasePo {

    /**
     * 统计时间
     */
    private Date totalDate;

    /**
     * bom规格id
     */
    private Long bomSpecId;

    /**
     * 数量
     */
    private BigDecimal quantity;
}
