package com.sd.business.entity.order.vo;

import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

@Getter
@Setter
public class IssueBillVo {

    /**
     * 订单id
     */
    private Long id;

    /**
     * 订单号
     */
    private String code;

    /**
     * 交期
     */
    private Date deliveryTime;

    /**
     * 店铺来源
     */
    private String sourcePlatform;

    /**
     * 店铺名称
     */
    private String shopName;

    /**
     * 收货人
     */
    private String consignee;

    /**
     * 收货人电话
     */
    private String consigneeNumber;

    /**
     * 省
     */
    private String province;

    /**
     * 市
     */
    private String city;

    /**
     * 县
     */
    private String county;

    /**
     * 详细地址
     */
    private String detailedAddress;

    /**
     * 快递网点id
     */
    private String expressDeliveryId;

    /**
     * 备注
     */
    private String remark;

    /**
     * 创建时间
     */
    private String createTime;

    /**
     * 部门名称
     */
    private String departmentName;

    /**
     * 快递名称
     */
    private String expressDeliveryName;

    /**
     * 主订单id
     */
    private Long masterOrderId;

    /**
     * 总体积
     */
    private BigDecimal totalNetWeight;

    /**
     * 总净重
     */
    private BigDecimal totalVolume;

    /**
     * 包裹总数
     */
    private Integer total;

    /**
     * 合并订单列表
     */
    private List<String> groupOrderCodeList;

}
