package com.sd.business.entity.production.vo;

import lombok.Getter;
import lombok.Setter;

import java.util.Date;
import java.util.List;

@Getter
@Setter
public class ProductionOrderVo {

    /**
     * 事业部
     */
    private String departmentName;

    /**
     * 订单id
     */
    private Long orderId;

    /**
     * 订单号
     */
    private String code;

    /**
     * 万里牛订单号
     */
    private String wlnCode;

    /**
     * 下单时间
     */
    private Date wlnCreateTime;

    /**
     * 交期
     */
    private Date deliveryTime;

    /**
     * 订单状态
     */
    private Integer status;

    /**
     * 进度
     */
    private List<ProductionOrderScheduleVo> productionOrderScheduleVoList;

}
