package com.sd.business.entity.production.vo;

import com.sd.business.entity.production.po.ProductionWorkOrder;
import lombok.Getter;
import lombok.Setter;

/**
 * 生产工单列表查询返回值实体
 *
 * @author
 * @since 2023-07-19
 */
@Getter
@Setter
public class ProductionWorkOrderVo extends ProductionWorkOrder {

    /**
     * 订单号
     */
    private String orderCode;

    /**
     * 订单万里牛单号
     */
    private String orderWlnCode;

    /**
     * sku规格品号
     */
    private String skuSpecCode;

    /**
     * sku规格品名
     */
    private String skuSpecName;

    /**
     * bom规格品号
     */
    private String bomSpecCode;

    /**
     * bom规格品名
     */
    private String bomSpecName;

    /**
     * 打印 1单面 2 双面
     */
    private Integer printType;

}
