package com.sd.business.entity.purchase.dto;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * E10采购合同bom 导入入参实体
 */
@Getter
@Setter
public class PurchaseBomImportDataDto {
    /**
     * 采购单号
     */
    @ExcelProperty("单号")
    private String purchaseCode;

    /**
     * 供应商编码
     */
    @ExcelProperty("供应商编号")
    private String supplierCode;

    /**
     * bom品号
     */
    @ExcelProperty("品号")
    private String bomSpecCode;

    /**
     * 数量
     */
    @ExcelProperty("业务数量")
    private String quantity;

    /**
     * 含税单价
     */
    @ExcelProperty("折扣后单价")
    private String unitPrice;

    /**
     * 总金额
     */
    @ExcelProperty("金额")
    private String totalAmount;

    /**
     * 交付日期
     */
    @ExcelProperty("预到货日")
    private Date deliveryDate;
}
