package com.sd.business.entity.purchase.dto;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 赠品入库导入实体
 *
 * @author
 * @since 2023-11-07
 */
@Getter
@Setter
public class PurchaseGiftImportDataDto {
    /**
     * 单号
     */
    @ExcelProperty("单号")
    private String code;

    /**
     * 入库时间
     */
    @ExcelProperty("交易日期")
    private Date arrivalDate;

    /**
     * 仓库名称
     */
    @ExcelProperty("仓库名称")
    private String warehouseName;

    /**
     * bom品号
     */
    @ExcelProperty("品号")
    private String bomSpecCode;

    /**
     * 数量
     */
    @ExcelProperty("业务数量")
    private BigDecimal quantity;

    /**
     * 备注
     */
    @ExcelProperty("备注")
    private String remark;
}
