package com.sd.business.entity.purchase.dto;

import com.sd.business.entity.purchase.po.PurchasePendingStorage;
import com.sd.business.entity.purchase.po.PurchasePendingStorageBom;
import lombok.Getter;
import lombok.Setter;

import javax.validation.Valid;
import javax.validation.constraints.NotEmpty;
import java.util.Date;
import java.util.List;

/**
 * 采购待入库新增编辑入参实体
 *
 * @author
 * @since 2023-10-12
 */
@Getter
@Setter
public class PurchasePendingStorageDto extends PurchasePendingStorage {

    /**
     * 采购待入库详情数据
     */
    @Valid
    @NotEmpty(message = "采购待入库详情数据不能为空")
    private List<PurchasePendingStorageBomDto> purchasePendingStorageBomList;
}
