package com.sd.business.entity.purchase.vo;

import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * 采购合同bom明细列表查询返回值实体
 *
 * @author
 * @since 2023-09-18
 */
@Getter
@Setter
public class PurchaseBomDetailsVo {


    /**
     * 采购合同编号
     */
    private String purchaseCode;

    /**
     * 规格品名
     */
    private String bomSpecName;

    /**
     * 规格品号
     */
    private String bomSpecCode;

    /**
     * 长 cm
     */
    private BigDecimal length;

    /**
     * 宽 cm
     */
    private BigDecimal width;

    /**
     * 高 cm
     */
    private BigDecimal height;

    /**
     * 采购数量
     */
    private BigDecimal purchaseQuantity;

    /**
     * 到货数量
     */
    private BigDecimal arrivalQuantity;

    /**
     * 在途数量
     */
    private BigDecimal inTransitQuantity;

    /**
     * 退货数量
     */
    private BigDecimal returnQuantity;

}
