package com.sd.business.entity.purchase.vo;

import com.sd.business.entity.purchase.po.PurchasePendingStorage;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;
import java.util.List;

/**
 * 采购待入库列表查询返回值实体
 *
 * @author
 * @since 2023-10-12
 */
@Getter
@Setter
public class PurchasePendingStorageVo extends PurchasePendingStorage {

    /**
     * 采购合同编号
     */
    private String purchaseCode;

    /**
     * 供应商名称
     */
    private String supplierName;

    /**
     * 采购待入库详情数据
     */
    private List<PurchasePendingStorageBomVo> purchasePendingStorageBomList;
}
