package com.sd.business.entity.sku.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * sku默认包材配置
 * </p>
 *
 * @author
 * @since 2023-11-08
 */
@Getter
@Setter
@TableName("sku_default_package")
public class SkuDefaultPackage extends BasePo {

    /**
     * sku id
     */
    private Long skuId;

    /**
     * 彩纸
     */
    private Integer colouredPaper;

    /**
     * OPP膜
     */
    private Integer oppMembrane;

    /**
     * PE袋
     */
    private Integer peBag;

    /**
     * 网包
     */
    private Integer meshBag;

    /**
     * 纸箱
     */
    private Integer paperBox;

    /**
     * 气泡袋
     */
    private Integer bubblePack;

    /**
     * 快递包材
     */
    private Integer logisticsPackagingMaterial;

    /**
     * 其他包材
     */
    private Integer otherPackingMaterial;

    /**
     * 不干胶
     */
    private Integer selfAdhesiveSticker;

    /**
     * 吊牌
     */
    private Integer drop;

    /**
     * 背带
     */
    private Integer suspenders;

    /**
     * 辅料
     */
    private Integer accessory;

}
