package com.sd.business.entity.sku.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * sku包材配置规格
 * </p>
 *
 * @author
 * @since 2023-11-08
 */
@Getter
@Setter
@TableName("sku_default_package_spec")
public class SkuDefaultPackageSpec extends BasePo {

    /**
     * 规格
     */
    private String spec;

    /**
     * 彩纸id
     */
    private Long colouredPaperId;

    /**
     * OPP膜id
     */
    private Long oppMembraneId;

    /**
     * PE袋id
     */
    private Long peBagId;

    /**
     * 网包id
     */
    private Long meshBagId;

    /**
     * 纸箱id
     */
    private Long paperBoxId;

    /**
     * 气泡袋id
     */
    private Long bubblePackId;

    /**
     * 快递包材id
     */
    private Long logisticsPackagingMaterialId;

    /**
     * 其他包材id
     */
    private Long otherPackingMaterialId;

    /**
     * 不干胶id
     */
    private Long selfAdhesiveStickerId;

    /**
     * 吊牌id
     */
    private Long dropId;

    /**
     * 背带id
     */
    private Long suspendersId;

    /**
     * 辅料id
     */
    private Long accessoryId;

}
