package com.sd.business.entity.statement.dto;

import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;

@Getter
@Setter
public class GetDocumentDto {

    /**
     * 对账单id集合
     */
    @NotBlank(message = "对账单id集合不能为空")
    private String idGroupConcat;

    /**
     * 对账单订单分类 1-万里牛订单，2-采购订单，3-委外订单，4-售后订单，5-无理由订单
     */
    private Integer orderClassify;

}
