package com.sd.business.entity.statement.dto;

import com.ruoyi.common.core.domain.BaseSelectDto;
import lombok.Getter;
import lombok.Setter;

/**
 * 对账单列表查询入参实体
 *
 * @author
 * @since 2023-07-31
 */
@Getter
@Setter
public class StatementOfAccountSelectDto extends BaseSelectDto {

    /**
     * 事业部id
     */
    private Long departmentId;

    /**
     * 对账单号
     */
    private String code;

    /**
     * 核对状态 1 已核对，0 未核对
     */
    private Integer checkStatus;


}
