package com.sd.business.entity.warehouse.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 仓库
 * </p>
 *
 * @author
 * @since 2023-07-03
 */
@Getter
@Setter
@TableName("warehouse")
public class Warehouse extends BasePo {

    /**
     * 仓库类型 字典:warehouse_type
     */
    private String type;

    /**
     * 仓库编号 E10仓库编号
     */
    private String code;

    /**
     * 仓库名称
     */
    private String name;

    /**
     * 仓库说明
     */
    private String remark;

}
