package com.sd.business.mapper.inventory;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.utils.wrapper.IWrapper;
import com.sd.business.entity.inventory.po.InventoryFinished;
import com.sd.business.entity.inventory.vo.InventoryFinishedVo;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 成品仓库 Mapper 接口
 * </p>
 *
 * @author
 * @since 2023-10-10
 */
public interface InventoryFinishedMapper extends BaseMapper<InventoryFinished> {

    /**
     * 成品仓库分页
     */
    Page<InventoryFinishedVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<InventoryFinished> wrapper);

}
