package com.sd.business.mapper.inventory;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.utils.wrapper.IWrapper;
import com.sd.business.entity.inventory.po.InventoryFinishedOrder;
import com.sd.business.entity.inventory.vo.InventoryFinishedOrderVo;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 成品仓库订单 Mapper 接口
 * </p>
 *
 * @author
 * @since 2023-10-10
 */
public interface InventoryFinishedOrderMapper extends BaseMapper<InventoryFinishedOrder> {

    Page<InventoryFinishedOrderVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<InventoryFinishedOrder> wrapper);

}
