package com.sd.business.mapper.purchase;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.utils.wrapper.IWrapper;
import com.sd.business.entity.purchase.po.PurchaseReturn;
import com.sd.business.entity.purchase.vo.PurchaseReturnVo;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 采购退货 Mapper 接口
 * </p>
 *
 * @author
 * @since 2023-09-27
 */
public interface PurchaseReturnMapper extends BaseMapper<PurchaseReturn> {

    /**
     * 采购合同分页
     */
    Page<PurchaseReturnVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<PurchaseReturn> wrapper);

}
