package com.sd.business.mapper.sku;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.utils.wrapper.IWrapper;
import com.sd.business.entity.sku.po.SkuDefaultPackage;
import com.sd.business.entity.sku.vo.SkuDefaultPackageVo;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * sku默认包材配置 Mapper 接口
 * </p>
 *
 * @author
 * @since 2023-11-08
 */
public interface SkuDefaultPackageMapper extends BaseMapper<SkuDefaultPackage> {

    /**
     * sku默认包材配置分页
     */
    Page<SkuDefaultPackageVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<SkuDefaultPackage> wrapper);

}
