package com.sd.business.service.common;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.service.BaseService;
import com.sd.business.entity.common.dto.CommonPackingBomDto;
import com.sd.business.entity.common.dto.CommonPackingBomSelectDto;
import com.sd.business.entity.common.po.CommonPackingBom;
import com.sd.business.entity.common.vo.CommonPackingBomVo;


/**
 * <p>
 * 常用包材组合 服务类
 * </p>
 *
 * @author
 * @since 2023-10-07
 */
public interface CommonPackingBomService extends BaseService<CommonPackingBom> {

    /**
     * 常用包材组合分页
     */
    Page<CommonPackingBomVo> getPage(CommonPackingBomSelectDto dto);

    /**
     * 常用包材组合新增
     */
    void add(CommonPackingBomDto commonPackingBomDto);

    /**
     * 常用包材组合编辑
     */
    void edit(CommonPackingBomDto commonPackingBomDto);

    /**
     * 常用包材组合删除
     */
    void delete(Long id);

}
