package com.sd.business.service.order;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.service.BaseService;
import com.sd.business.entity.order.dto.OrderExchangeDetailSelectDto;
import com.sd.business.entity.order.po.OrderExchangeDetail;
import com.sd.business.entity.order.vo.OrderExchangeDetailVo;


/**
 * <p>
 * 订单退换货明细 服务类
 * </p>
 *
 * @author
 * @since 2023-09-14
 */
public interface OrderExchangeDetailService extends BaseService<OrderExchangeDetail> {

    /**
     * 订单退换货分页
     */
    Page<OrderExchangeDetailVo> getPage(OrderExchangeDetailSelectDto dto);

    void excelExport(OrderExchangeDetailSelectDto dto);

}
