package com.sd.business.service.order.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.sd.business.entity.order.dto.OrderFlowExampleDto;
import com.sd.business.entity.order.po.OrderFlowExample;
import com.sd.business.mapper.order.OrderFlowExampleMapper;
import com.sd.business.service.order.OrderFlowExampleService;
import org.springframework.stereotype.Service;
/**
 * <p>
 * 订单流程关联 服务实现类
 * </p>
 *
 * @author
 * @since 2023-09-15
 */
@Service
public class OrderFlowExampleServiceImpl extends ServiceImpl<OrderFlowExampleMapper, OrderFlowExample> implements OrderFlowExampleService {
    @Override
    public void add(OrderFlowExampleDto orderFlowExampleDto) {
        this.save(orderFlowExampleDto);
    }

    @Override
    public void edit(OrderFlowExampleDto orderFlowExampleDto) {
        this.updateById(orderFlowExampleDto);
    }
}
