package com.sd.business.service.production;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.domain.BaseSelectDto;
import com.sd.business.entity.production.dto.ProductionExceedReceiveDto;
import com.sd.business.entity.production.dto.ProductionOrderDto;
import com.sd.business.entity.production.dto.RapidPackagingDto;
import com.sd.business.entity.production.dto.SetTagDto;
import com.sd.business.entity.production.vo.ProductionOrderDetailVo;
import com.sd.business.entity.production.vo.ProductionOrderVo;

public interface ProductionOrderService {

    /**
     * 生产订单分页
     */
    Page<ProductionOrderVo> getPage(ProductionOrderDto dto);

    /**
     * 赋值标签
     */
    void setTag(SetTagDto dto);

    /**
     * 一件包装明细
     */
    ProductionOrderDetailVo detail(BaseSelectDto dto);

    /**
     * 一键包装
     */
    void rapidPackaging(RapidPackagingDto dto);

    /**
     * 生产超领
     * @param dto
     */
    void exceedReceive(ProductionExceedReceiveDto dto);
}
