package com.sd.business.service.sku;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.service.BaseService;
import com.sd.business.entity.sku.dto.SkuDefaultPackageDto;
import com.sd.business.entity.sku.dto.SkuDefaultPackageSelectDto;
import com.sd.business.entity.sku.po.SkuDefaultPackage;
import com.sd.business.entity.sku.vo.SkuDefaultPackageVo;


/**
 * <p>
 * sku默认包材配置 服务类
 * </p>
 *
 * @author
 * @since 2023-11-08
 */
public interface SkuDefaultPackageService extends BaseService<SkuDefaultPackage> {

    /**
     * sku默认包材配置分页
     */
    Page<SkuDefaultPackageVo> getPage(SkuDefaultPackageSelectDto dto);

    /**
     * sku默认包材配置明细
     */
    SkuDefaultPackageVo detail(Long id);

    /**
     * sku默认包材配置新增
     */
    void add(SkuDefaultPackageDto skuDefaultPackageDto);

    /**
     * sku默认包材配置编辑
     */
    void edit(SkuDefaultPackageDto skuDefaultPackageDto);

    /**
     * sku默认包材配置删除
     */
    void delete(Long id);

}
