package com.sd.cainiao.config;

import cn.hutool.extra.spring.SpringUtil;
import com.sd.cainiao.constant.BasicKeyConstant;
import com.sd.cainiao.entity.bo.BasicKeyBo;
import org.springframework.context.annotation.Bean;
import org.springframework.stereotype.Component;

@Component
public class BasicKeyConfig {

    @Bean
    public BasicKeyBo basicKeyBo() {
        String activeProfile = SpringUtil.getActiveProfile();
        BasicKeyBo basicKeyBo = new BasicKeyBo();
//        if (activeProfile.equals("prod")) {
            basicKeyBo.setUrl(BasicKeyConstant.PROD_URL);
            basicKeyBo.setAppKey(BasicKeyConstant.PROD_APP_KEY);
            basicKeyBo.setSecretKey(BasicKeyConstant.PROD_SECRET_KEY);
            basicKeyBo.setToken(BasicKeyConstant.PROD_TOKEN);
//        } else {
//            basicKeyBo.setUrl(BasicKeyConstant.DEV_URL);
//            basicKeyBo.setAppKey(BasicKeyConstant.DEV_APP_KEY);
//            basicKeyBo.setSecretKey(BasicKeyConstant.DEV_SECRET_KEY);
//            basicKeyBo.setToken(BasicKeyConstant.DEV_TOKEN);
//        }
        return basicKeyBo;
    }

}
