package com.sd.cainiao.entity.dto;

import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 取号参数
 */
@Getter
@Setter
public class TakeNumParamDto {


    /**
     * 配送公司编码
     */
    private String cpCode;

    /**
     * 发件人名称
     */
    private String name;

    /**
     * 发件人固定电话
     */
    private String phone;

    /**
     * 发件人手机号
     */
    private String mobile;

    /**
     * 发件人省
     */
    private String province;

    /**
     * 发件人市
     */
    private String city;

    /**
     * 发件人区
     */
    private String district;

    /**
     * 发件人详细地址
     */
    private String detail;

    /**
     * 打印模板的url,参见白皮书
     */
    private String emsTemplateUrl;

    /**
     * 商品信息
     */
    private List<ItemParamDto> items;

    /**
     * 收件人名称
     */
    private String receiveName;

    /**
     * 收件人手机号
     */
    private String receiveMobile;

    /**
     * 收件人省
     */
    private String receiveProvince;

    /**
     * 收件人市
     */
    private String receiveCity;

    /**
     * 收件人区
     */
    private String receiveDistrict;

    /**
     * 收件人详细地址
     */
    private String receiveDetail;

    /**
     * 重量,单位 g
     */
    private Long weight;

    /**
     * 体积, 单位 ml
     */
    private Long volume;

    /**
     * 订单号
     */
    private String orderNum;

    /**
     * 对象ID
     */
    private String objectId;

}
