package com.sd.mq.entity;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import java.util.List;

@Getter
@Setter
@AllArgsConstructor
@NoArgsConstructor
public class CombinedWorkOrderMessage extends BaseMessage {

    /**
     * 批量工单id
     */
    private Long masterId;

    /**
     * 单片工单id列表
     */
    private List<Long> idList;

}
