package com.sd.business.entity.board.bo;

import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

@Getter
@Setter
public class TurnoverRateSalesShipmentStatisticsBo {

    /**
     * bom规格id
     */
    private Long bomSpecId;

    /**
     * 品号
     */
    private String bomSpecCode;

    /**
     * 品名
     */
    private String bomSpecName;

    /**
     * 宽
     */
    private BigDecimal width;

    /**
     * 高
     */
    private BigDecimal height;

    /**
     * 色层 字典:bom_chromatophore
     */
    private String chromatophore;

    /**
     * 90天销售数量
     */
    private BigDecimal ninetyDaysSalesQuantity;

    /**
     * 60天销售数量
     */
    private BigDecimal sixtyDaysSalesQuantity;

    /**
     * 30天销售数量
     */
    private BigDecimal thirtyDaysSalesQuantity;
}
