package com.sd.business.entity.board.dto;

import lombok.Getter;
import lombok.Setter;

/**
 * sku规格报价板查询入参实体
 *
 * @author
 * @since 2023-10-27
 */
@Getter
@Setter
public class SkuSpecQuotationDto {

    /**
     * 事业部id
     */
    private Long departmentId;

    /**
     * sku品号
     */
    private String skuSpecCode;

    /**
     * bom品号
     */
    private String bomSpecCode;

    /**
     * 颜色
     */
    private String colour;

    /**
     * 色层 字典:bom_chromatophore
     */
    private String chromatophore;
}
