package com.sd.business.entity.board.dto;

import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * 周转率查询入参实体
 *
 * @author
 * @since 2023-10-21
 */
@Getter
@Setter
public class TurnoverRateBoardSelectDto {

    /**
     * bom分类 1-瑜伽垫裸垫，2-瑜伽垫裸砖，3-跳绳垫裸垫
     */
    private Integer bomClassify;

    /**
     * 宽
     */
    private BigDecimal width;

    /**
     * 高
     */
    private BigDecimal height;

    /**
     * 色层 字典:bom_chromatophore
     */
    private String chromatophore;
}
