package com.sd.business.entity.board.vo;

import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.List;

/**
 * MES&万里牛今日订单和BOM差异数据查询返回值实体
 *
 * @since 2023-09-22
 */
@Getter
@Setter
public class OrderBomDifferenceVo {
    /**
     * 产品规格品号
     */
    private String bomSpecCode;

    /**
     * mes数量
     */
    private BigDecimal mesQuantity;

    /**
     * 万里牛数量
     */
    private BigDecimal wlnQuantity;

    /**
     * 差异订单号
     */
    private List<String> orderWlnCodes;
}
