package com.sd.business.entity.board.vo;

import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.List;

/**
 * 自建订单数据查询返回值实体
 *
 * @since 2023-09-22
 */
@Getter
@Setter
public class SelfOrderOutStorageVo {
    /**
     * 自建订单总数
     */
    private Integer sumOrderCount;

    /**
     * 自建订单BOM总数
     */
    private BigDecimal sumBomCount;

    /**
     * 出库bom列表
     */
    private List<DailyBoardOutStorageBomVo> outStorageBomList;
}
