package com.sd.business.entity.check.vo;

import com.fjhx.file.entity.ObsFile;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 盘点导入列表返回值实体
 *
 * @author
 * @since 2023-10-21
 */
@Getter
@Setter
public class CheckImportDataVo {

    /**
     * 事业部id
     */
    private Long departmentId;

    /**
     * 仓库id
     */
    private Long warehouseId;

    /**
     * 盘点人
     */
    private String checkTaker;

    /**
     * 状态 0正常 1异常
     */
    private Integer status;

    /**
     * 备注
     */
    private String remark;

    /**
     * 盘点bom规格列表
     */
    private List<CheckBomVo> checkBomList;

    /**
     * excel文件
     */
    private ObsFile excelFile;
}
