package com.sd.business.entity.common.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * <p>
 * 常用包材组合明细
 * </p>
 *
 * @author
 * @since 2023-10-07
 */
@Getter
@Setter
@TableName("common_packing_bom_detail")
public class CommonPackingBomDetail extends BasePo {

    /**
     * 常用包材id
     */
    private Long commonPackingBomId;

    /**
     * bom规格id
     */
    private Long bomSpecId;

    /**
     * 数量
     */
    private BigDecimal quantity;

    /**
     * 关联类型 1包材 2快递包装
     */
    private Integer type;

}
