package com.sd.business.entity.common.vo;

import com.sd.business.entity.common.po.CommonPackingBomDetail;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * 常用包材组合明细列表查询返回值实体
 *
 * @author
 * @since 2023-10-07
 */
@Getter
@Setter
public class CommonPackingBomDetailVo extends CommonPackingBomDetail {

    private String bomSpecCode;
    private String bomSpecName;

    /**
     * 单价
     */
    private BigDecimal unitPrice;

    /**
     * 图片路径
     */
    private String mainImgUrl;

}
