package com.sd.business.entity.inventory.dto;

import com.ruoyi.common.core.domain.BaseSelectDto;
import lombok.Getter;
import lombok.Setter;

/**
 * 成品仓库订单列表查询入参实体
 *
 * @author
 * @since 2023-10-10
 */
@Getter
@Setter
public class InventoryFinishedOrderSelectDto extends BaseSelectDto {

    /**
     * sku规格品名
     */
    private String skuSpecId;

    /**
     * sku规格品号
     */
    private String skuSpecCode;

    /**
     * sku规格品名
     */
    private String skuSpecName;

    /**
     * 订单id
     */
    private Long orderId;

    /**
     * 订单编号
     */
    private String orderCode;

    /**
     * 订单万里牛编号
     */
    private String orderWlnCode;

    /**
     * 事业部id
     */
    private Long departmentId;

    /**
     * 出入库单号
     */
    private String code;

}
