package com.sd.business.entity.order.dto;

import com.ruoyi.common.core.domain.BaseSelectDto;
import lombok.Getter;
import lombok.Setter;

/**
 * 订单退换货明细列表查询入参实体
 *
 * @author
 * @since 2023-09-14
 */
@Getter
@Setter
public class OrderExchangeDetailSelectDto extends BaseSelectDto {

    /**
     * 类型 1退货 2换货
     */
    private Integer type;

    /**
     * sku规格品号
     */
    private String skuSpecCode;

    /**
     * sku规格品名
     */
    private String skuSpecName;

    /**
     * 部门名称
     */
    private String departmentId;

    /**
     * 订单号
     */
    private String orderCode;

    /**
     * 万里牛订单号
     */
    private String orderWlnCode;

    /**
     * 单号
     */
    private String code;

}
