package com.sd.business.entity.order.dto;

import com.sd.business.entity.order.po.OrderSalesShipmentStatistics;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;
import java.util.List;

/**
 * 订单销售出库统计 新增编辑入参实体
 *
 * @author
 * @since 2023-10-20
 */
@Getter
@Setter
public class OrderSalesShipmentStatisticsDto extends OrderSalesShipmentStatistics {

    /**
     * bom分类 1-裸垫，2-裸砖
     */
    private Integer bomClassify;

    /**
     * 开始时间
     */
    private Date beginDate;

    /**
     * 结束时间
     */
    private Date endDate;

    /**
     * bom规格 id列表
     */
    private List<Long> bomSpecIds;
}
