package com.sd.business.entity.order.vo;

import com.sd.business.entity.order.po.OrderExchange;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 订单退换货列表查询返回值实体
 *
 * @author
 * @since 2023-09-14
 */
@Getter
@Setter
public class OrderExchangeVo extends OrderExchange {

    /**
     * 订单号
     */
    private String orderCode;

    /**
     * 万里牛单号
     */
    private String orderWlnCode;

    /**
     * 部门名称
     */
    private String departmentName;

    /**
     * 创建人名称
     */
    private String createUserName;

    /**
     * 订单退货明细
     */
    private List<OrderExchangeDetailVo> orderExchangeDetailList;

}
