package com.sd.business.entity.production.vo;

import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 打印备料单数据
 */
@Getter
@Setter
public class PrintUncompletedVo {

    /**
     * 规格
     */
    private String spec;

    /**
     * 颜色分组数据
     */
    private List<ColourGroupingInfo> colourGroupingInfoList;

    @Getter
    @Setter
    public static class ColourGroupingInfo {
        /**
         * 颜色
         */
        private String colour;

        /**
         * bom数据
         */
        private List<UncompletedVo> uncompletedVoList;
    }
}
