package com.sd.business.entity.production.vo;

import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

@Getter
@Setter
public class StockPreparationVo {

    /**
     * 订单id
     */
    private Long orderId;

    /**
     * 订单号
     */
    private String orderCode;

    /**
     * sku规格id
     */
    private Long skuSpecId;

    /**
     * bom规格id
     */
    private Long bomSpecId;

    /**
     * 订单sku id
     */
    private Long orderSkuId;

    /**
     * 设计图
     */
    private String blueprint;

    /**
     * 事业部
     */
    private String departmentName;

    /**
     * bom品号
     */
    private String bomSpecCode;

    /**
     * bom品名
     */
    private String bomSpecName;

    /**
     * sku品号
     */
    private String skuSpecCode;

    /**
     * sku品名
     */
    private String skuSpecName;

    /**
     * 长
     */
    private String length;

    /**
     * 宽
     */
    private String width;

    /**
     * 高
     */
    private String height;

    /**
     * 数量
     */
    private BigDecimal quantity;

    /**
     * 万里牛订单号
     */
    private String orderWlnCode;

    /**
     * 打印类型
     */
    private Integer printType;

    /**
     * 库存是否锁定
     */
    private Integer lockStorage;

    /**
     * 加工面板 字典:charge_item
     */
    private String machinedPanel;

    /**
     * 图稿名称
     */
    private String artworkName;

    /**
     * 颜色
     */
    private String colour;

}
