package com.sd.business.entity.production.vo;

import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.List;

@Getter
@Setter
public class UncompletedVo {


    /**
     * bom规格id
     */
    private Long bomSpecId;

    /**
     * bom品号
     */
    private String bomSpecCode;

    /**
     * bom品名
     */
    private String bomSpecName;

    /**
     * 总数量
     */
    private BigDecimal totalQuantity;

    /**
     * sku消息
     */
    private List<SkuInfo> skuInfoList;

    @Getter
    @Setter
    public static class SkuInfo {

        /**
         * sku规格id
         */
        private Long skuSpecId;

        /**
         * sku品号
         */
        private String skuSpecCode;

        /**
         * sku品名
         */
        private String skuSpecName;

        /**
         * 数量
         */
        private BigDecimal quantity;

        /**
         * 加工面板 字典:charge_item
         */
        private String machinedPanel;

        /**
         * 图稿名称
         */
        private String artworkName;

    }


}
