package com.sd.business.entity.purchase.dto;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;


/**
 * 采购到货单导入入参实体
 */
@Getter
@Setter
public class PurchaseArrivalImportDataDto {

    /**
     * 到货单号
     */
    @ExcelProperty("到货单号")
    private String arrivalCode;

    /**
     * 到货日期
     */
    @ExcelProperty("到货日期")
    private Date arrivalDate;

    /**
     * 采购合同编号
     */
    @ExcelProperty("订单单号")
    private String purchaseCode;

    /**
     * 采购合同编号-PUR
     */
    @ExcelProperty("备注")
    private String remarkCode;

    /**
     * bom规格编码
     */
    @ExcelProperty("品号")
    private String bomSpecCode;

    /**
     * 到货数量
     */
    @ExcelProperty("业务数量")
    private String arrivalQuantity;
}
