package com.sd.business.entity.purchase.dto;

import com.sd.business.entity.purchase.po.PurchasePendingStorageBom;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * 采购待入库bom新增编辑入参实体
 *
 * @author
 * @since 2023-10-12
 */
@Getter
@Setter
public class PurchasePendingStorageBomDto extends PurchasePendingStorageBom {

    /**
     * 到货单号
     */
    private String arrivalCode;

    /**
     * 到货日期
     */
    private Date arrivalDate;

    /**
     * 备注
     */
    private String remark;
}
