package com.sd.business.entity.purchase.dto;

import com.ruoyi.common.core.domain.BaseSelectDto;
import lombok.Getter;
import lombok.Setter;

/**
 * 采购合同列表查询入参实体
 *
 * @author
 * @since 2023-07-03
 */
@Getter
@Setter
public class PurchaseSelectDto extends BaseSelectDto {

    /**
     * 采购合同编号
     */
    private String code;

    /**
     * 流程状态 0未发起 1进行中 2已通过 3已驳回 4已作废
     */
    private Integer flowStatus;

    /**
     * 供应商名称
     */
    private String supplierName;

    /**
     * 采购状态 0 草稿 10审批中 20采购中 30已采购 40驳回 50已作废 60已终止
     */
    private String status;

}
