package com.sd.business.entity.purchase.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 采购待入库
 * </p>
 *
 * @author
 * @since 2023-10-12
 */
@Getter
@Setter
@TableName("purchase_pending_storage")
public class PurchasePendingStorage extends BasePo {

    /**
     * 采购合同id
     */
    private Long purchaseId;

    /**
     * 采购入库编号
     */
    private String code;

    /**
     * 到货单号
     */
    private String arrivalCode;

    /**
     * 到货数量
     */
    private BigDecimal arrivalQuantity;
}
