package com.sd.business.entity.purchase.vo;

import com.sd.business.entity.purchase.po.PurchaseReturn;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * 采购退货列表查询返回值实体
 *
 * @author
 * @since 2023-09-27
 */
@Getter
@Setter
public class PurchaseReturnVo extends PurchaseReturn {

    /**
     * 关联合同数量
     */
    private Long purchaseCount;

    /**
     * 退货时间
     */
    private Date returnTime;

    /**
     * 发起人
     */
    private String createName;
}
