package com.sd.business.entity.sku.bo;

import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

@Getter
@Setter
public class SkuSpecBo {

    /**
     * sku规格 id
     */
    private Long skuSpecId;

    /**
     * sku规格品号
     */
    private String skuSpecCode;

    /**
     * 条码
     */
    private String barCode;

    /**
     * sku规格品名
     */
    private String skuSpecName;

    /**
     * 加工面板 字典:charge_item
     */
    private String machinedPanel;

    /**
     * 长 cm
     */
    private BigDecimal length;

    /**
     * 宽 cm
     */
    private BigDecimal width;

    /**
     * 高 cm
     */
    private BigDecimal height;

    /**
     * 净重 g
     */
    private BigDecimal netWeight;

    /**
     * bom id
     */
    private Long bomSpecId;

    /**
     * 类目id
     */
    private Long skuClassifyId;

    /**
     * 分类名称
     */
    private String skuClassifyName;
}
