package com.sd.business.mapper.common;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.utils.wrapper.IWrapper;
import com.sd.business.entity.common.po.CommonPackingBom;
import com.sd.business.entity.common.vo.CommonPackingBomVo;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 常用包材组合 Mapper 接口
 * </p>
 *
 * @author
 * @since 2023-10-07
 */
public interface CommonPackingBomMapper extends BaseMapper<CommonPackingBom> {

    /**
     * 常用包材组合分页
     */
    Page<CommonPackingBomVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<CommonPackingBom> wrapper);

}
