package com.sd.business.mapper.excel;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.utils.wrapper.IWrapper;
import com.sd.business.entity.excel.po.ExcelGenerateLog;
import com.sd.business.entity.excel.vo.ExcelGenerateLogVo;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * excel生成记录 Mapper 接口
 * </p>
 *
 * @author
 * @since 2023-09-21
 */
public interface ExcelGenerateLogMapper extends BaseMapper<ExcelGenerateLog> {

    /**
     * excel生成记录分页
     */
    Page<ExcelGenerateLogVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<ExcelGenerateLog> wrapper);

}
