package com.sd.business.mapper.order;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.utils.wrapper.IWrapper;
import com.sd.business.entity.order.po.OrderEncasement;
import com.sd.business.entity.order.vo.OrderEncasementVo;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 订单装箱 Mapper 接口
 * </p>
 *
 * @author
 * @since 2023-09-25
 */
public interface OrderEncasementMapper extends BaseMapper<OrderEncasement> {

    /**
     * 订单装箱分页
     */
    Page<OrderEncasementVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<OrderEncasement> wrapper);

}
