package com.sd.business.mapper.order;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.utils.wrapper.IWrapper;
import com.sd.business.entity.order.po.OrderExchangeDetail;
import com.sd.business.entity.order.vo.OrderExchangeDetailVo;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 订单退换货明细 Mapper 接口
 * </p>
 *
 * @author
 * @since 2023-09-14
 */
public interface OrderExchangeDetailMapper extends BaseMapper<OrderExchangeDetail> {

    Page<OrderExchangeDetailVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<Object> wrapper);

}
