package com.sd.business.mapper.purchase;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.common.utils.wrapper.IWrapper;
import com.sd.business.entity.purchase.po.PurchasePendingStorageBom;
import com.sd.business.entity.purchase.vo.PurchasePendingStorageBomVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 采购待入库bom Mapper 接口
 * </p>
 *
 * @author
 * @since 2023-10-12
 */
public interface PurchasePendingStorageBomMapper extends BaseMapper<PurchasePendingStorageBom> {

    /**
     * 获取采购待入库bom明细
     * @return
     */
    List<PurchasePendingStorageBomVo> getList(@Param("ew") IWrapper<PurchasePendingStorageBom> wrapper);
}
