package com.sd.business.mapper.purchase;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.utils.wrapper.IWrapper;
import com.sd.business.entity.purchase.po.PurchasePendingStorage;
import com.sd.business.entity.purchase.vo.PurchasePendingStorageVo;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 采购待入库 Mapper 接口
 * </p>
 *
 * @author
 * @since 2023-10-12
 */
public interface PurchasePendingStorageMapper extends BaseMapper<PurchasePendingStorage> {
    Page<PurchasePendingStorageVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<PurchasePendingStorage> wrapper);
}
