package com.sd.business.mapper.purchase;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.common.utils.wrapper.IWrapper;
import com.sd.business.entity.purchase.po.PurchaseReturnBom;
import com.sd.business.entity.purchase.vo.PurchaseReturnBomVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 采购退货bom Mapper 接口
 * </p>
 *
 * @author
 * @since 2023-09-27
 */
public interface PurchaseReturnBomMapper extends BaseMapper<PurchaseReturnBom> {

    /**
     * 查询采购退货bom列表
     * @param wrapper
     * @return
     */
    List<PurchaseReturnBomVo> getList(@Param("ew") IWrapper<PurchaseReturnBom> wrapper);
}
