package com.sd.business.mapper.sku;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.utils.wrapper.IWrapper;
import com.sd.business.entity.sku.po.SkuDefaultPackageSpec;
import com.sd.business.entity.sku.vo.SkuDefaultPackageSpecVo;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * sku包材配置规格 Mapper 接口
 * </p>
 *
 * @author
 * @since 2023-11-08
 */
public interface SkuDefaultPackageSpecMapper extends BaseMapper<SkuDefaultPackageSpec> {

    /**
     * sku包材配置规格分页
     */
    Page<SkuDefaultPackageSpecVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<SkuDefaultPackageSpec> wrapper);

}
