package com.sd.business.service.order;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.service.BaseService;
import com.sd.business.entity.order.dto.OrderEncasementDto;
import com.sd.business.entity.order.dto.OrderEncasementSelectDto;
import com.sd.business.entity.order.po.OrderEncasement;
import com.sd.business.entity.order.vo.OrderEncasementVo;


/**
 * <p>
 * 订单装箱 服务类
 * </p>
 *
 * @author
 * @since 2023-09-25
 */
public interface OrderEncasementService extends BaseService<OrderEncasement> {

    /**
     * 订单装箱分页
     */
    Page<OrderEncasementVo> getPage(OrderEncasementSelectDto dto);

    /**
     * 订单装箱明细
     */
    OrderEncasementVo detail(Long id);

    /**
     * 订单装箱新增
     */
    void add(OrderEncasementDto orderEncasementDto);

    /**
     * 订单装箱编辑
     */
    void edit(OrderEncasementDto orderEncasementDto);

    /**
     * 订单装箱删除
     */
    void deleteByOrderId(Long orderId);

    /**
     * 订单装箱删除
     */
    void delete(Long id);

}
