package com.sd.business.service.purchase;

import com.ruoyi.common.core.service.BaseService;
import com.sd.business.entity.purchase.po.PurchasePendingStorageBom;
import com.sd.business.entity.purchase.vo.PurchasePendingStorageBomVo;

import java.util.List;

/**
 * <p>
 * 采购待入库bom 服务类
 * </p>
 *
 * @author
 * @since 2023-10-12
 */
public interface PurchasePendingStorageBomService extends BaseService<PurchasePendingStorageBom> {
    /**
     * 获取采购待入库bom明细
     * @param id
     * @return
     */
    List<PurchasePendingStorageBomVo> getListByPurchasePendingStorageId(Long id);
}
