package com.sd.business.service.purchase;

import com.ruoyi.common.core.service.BaseService;
import com.sd.business.entity.purchase.po.PurchaseReturnBom;
import com.sd.business.entity.purchase.vo.PurchaseReturnBomVo;

import java.util.List;

/**
 * <p>
 * 采购退货bom 服务类
 * </p>
 *
 * @author
 * @since 2023-09-27
 */
public interface PurchaseReturnBomService extends BaseService<PurchaseReturnBom> {


    /**
     * 根据采购退货id查询退货bom列表
     * @param purchaseReturnId
     * @return
     */
    List<PurchaseReturnBomVo> selectListByPurchaseReturnId(Long purchaseReturnId);
}
