package com.sd.business.service.purchase.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.common.utils.wrapper.IWrapper;
import com.sd.business.entity.purchase.po.PurchasePendingStorageBom;
import com.sd.business.entity.purchase.vo.PurchasePendingStorageBomVo;
import com.sd.business.mapper.purchase.PurchasePendingStorageBomMapper;
import com.sd.business.service.purchase.PurchasePendingStorageBomService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 采购待入库bom 服务实现类
 * </p>
 *
 * @author
 * @since 2023-10-12
 */
@Service
public class PurchasePendingStorageBomServiceImpl extends ServiceImpl<PurchasePendingStorageBomMapper, PurchasePendingStorageBom> implements PurchasePendingStorageBomService {
    @Override
    public List<PurchasePendingStorageBomVo> getListByPurchasePendingStorageId(Long id) {
        IWrapper<PurchasePendingStorageBom> wrapper = getWrapper();
        wrapper.eq("ppsb", PurchasePendingStorageBom::getPurchasePendingStorageId, id);
        return this.baseMapper.getList(wrapper);
    }
}
