package com.sd.business.service.purchase.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.common.utils.wrapper.IWrapper;
import com.sd.business.entity.purchase.po.PurchaseReturnBom;
import com.sd.business.entity.purchase.vo.PurchaseReturnBomVo;
import com.sd.business.mapper.purchase.PurchaseReturnBomMapper;
import com.sd.business.service.purchase.PurchaseReturnBomService;
import org.springframework.stereotype.Service;

import java.util.Collections;
import java.util.List;

@Service
public class PurchaseReturnBomServiceImpl extends ServiceImpl<PurchaseReturnBomMapper, PurchaseReturnBom> implements PurchaseReturnBomService {
    @Override
    public List<PurchaseReturnBomVo> selectListByPurchaseReturnId(Long purchaseReturnId) {
        if (purchaseReturnId == null) {
            return Collections.emptyList();
        }
        IWrapper<PurchaseReturnBom> wrapper = getWrapper();
        wrapper.eq("prb", PurchaseReturnBom::getPurchaseReturnId, purchaseReturnId);
        wrapper.orderByDesc("prb", PurchaseReturnBom::getId);
        return this.baseMapper.getList(wrapper);
    }
}
