package com.sd.mq.entity;

import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.math.BigDecimal;

@Getter
@Setter
public class WorkOrderDetail implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 工单id
     */
    private Long workOrderId;

    /**
     * 图片路径
     */
    private String imgPath;

    /**
     * 图稿路径
     */
    private String filePath;

    /**
     * 长（cm）
     */
    private BigDecimal length;

    /**
     * 宽（cm）
     */
    private BigDecimal wide;

    /**
     * 高（cm）
     */
    private BigDecimal hight;

}
