package com.sd.wln.controller;

import com.sd.wln.entity.ResynchronizationDto;
import com.sd.wln.service.OrderHandleService;
import com.sd.wln.service.WlnStatementOfAccount;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/orderHandle")
public class OrderHandleController {

    @Autowired
    private OrderHandleService orderHandleService;

    @Autowired
    private WlnStatementOfAccount wlnStatementOfAccount;

    /**
     * 重新同步订单
     */
    @PostMapping("/resynchronization")
    public void resynchronization(@RequestBody ResynchronizationDto dto) {
        orderHandleService.resynchronization(dto);
    }

    /**
     * 生成对账单
     */
    @PostMapping("/createStatementOfAccount")
    public void createStatementOfAccount() {
        wlnStatementOfAccount.createStatementOfAccount();
    }

    /**
     * 批量同步订单
     */
    @PostMapping("/bathSyncOrder")
    public void bathSyncOrder() {
        orderHandleService.bathSyncOrder();
    }

}
